% Approx realizaiton problem

m = 3;
n = 40;
K = m+n-1;
ntries0 = 200;
levels = 5;
noise = (1:levels)'/(2*levels);

suffix = sprintf('_n%d_m%d.mat',n,m);

% [y,Z0] = table3_gen_input(m,n,ntries0);
load(sprintf('data_table3/input_n%d_m%d.mat',n,m),'y','Z0')
I = isnan(y);
Z0 = Z0(1:ntries0,:);
Z = kron(noise,Z0);
U1 = [y; y + Z];

[Usdp,Eigs] = solve_hankel_sdp(m,n,U1,'mosek');
% save(sprintf('sdp%s',suffix),'Usdp','Eigs')

[Ull] = solve_hankel_slra(m,n,U1,'ll'); %comment
[Uqb] = solve_hankel_slra(m,n,U1,'qb'); %comment
[Ull2] = solve_hankel_slra(m,n,U1,'ll',true); %comment
[Uqb2] = solve_hankel_slra(m,n,U1,'qb',true); %comment
% save(sprintf('ll%s',suffix),'Ull','Ull2');
% save(sprintf('qb%s',suffix),'Uqb','Uqb2');